from fastapi import APIRouter, Depends
from typing import List, Optional
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.book import BookSchema
from helpers.book_helpers import get_books

router = APIRouter()

@router.get("/books", response_model=List[BookSchema])
async def get_all_books(
    search_term: Optional[str] = None,
    db: Session = Depends(get_db)
):
    books = get_books(db, search_term=search_term)
    return books